Bug 91199 - i18n: add locale data or Venetian language
Summary: i18n: add locale data or Venetian language
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium major
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2 ta...
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-10 11:33 UTC by veneto.abc
Modified: 2016-10-25 19:19 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Locale data file for Venetian language (13.05 KB, text/xml)
2015-05-10 11:33 UTC, veneto.abc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description veneto.abc 2015-05-10 11:33:30 UTC
Created attachment 115480 [details]
Locale data file for Venetian language
Comment 1 Eike Rathke 2015-06-03 10:51:22 UTC
Test compiling this I got the usual pitfall warnings, see https://wiki.documentfoundation.org/LibreOffice_Localization_Guide/How_To_Submit_New_Locale_Data#Pitfalls

Warning: QuotationStart may be wrong: U+201C “
Warning: QuotationEnd may be wrong: U+201D ”
Warning: DoubleQuotationStart may be wrong: U+2018 ‘
Warning: DoubleQuotationEnd may be wrong: U+2019 ’
Warning: FormatCode formatindex="12" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="13" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="14" for currency uses parentheses for negative amounts, which probably is not correct f
or locales not based on en_US.
Warning: FormatCode formatindex="15" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="17" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.

I'll exchange the quotation marks and let the currency number formats follow the it-IT ones.
Comment 2 Commit Notification 2015-06-03 11:24:23 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=43e4382a4cd301ea6decdc5b55f42669134ef8e3

tdf#91199 add Venetian [vec-IT] to language list

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-06-03 11:24:27 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cd5d3c4054868c02fce12016edcf9584013b48bf

tdf#91199 add Venetian [vec-IT] locale data

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Eike Rathke 2015-06-03 11:27:07 UTC
What made me wonder, vec-IT uses Y/M/D date order whereas it-IT uses D/M/Y date order, and vec-IT uses '.' decimal and ',' group separator whereas it-IT uses ',' decimal and '.' group separator. Such differences within a country are rare, intentional?
Comment 5 Commit Notification 2015-06-03 11:32:32 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0aba0bb25692a98848d88052c7c409c7e40a3260&h=libreoffice-5-0

tdf#91199 add Venetian [vec-IT] to language list

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-06-03 11:32:35 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9f2ee2771658ed73cee0be053d76a27e4cdef4b9&h=libreoffice-5-0

tdf#91199 add Venetian [vec-IT] locale data

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Ivan Saggiorato 2015-08-07 20:39:00 UTC
(In reply to Eike Rathke from comment #4)
> What made me wonder, vec-IT uses Y/M/D date order whereas it-IT uses D/M/Y
> date order, and vec-IT uses '.' decimal and ',' group separator whereas
> it-IT uses ',' decimal and '.' group separator. Such differences within a
> country are rare, intentional?

I think the author of the file have made a mistake in the date order modifying from the en-US locale data setting, as you can see at the end of the XML

As a venetian (inhabitant of Veneto region, not the Venice province), I guarantee the setting is the same as it-IT for the date and the numbers values (, for decimals, . for mupliple of 1000, the D/M/Y date order and so on), and must be correct avoiding all the format problem bewteen venetians and not-venetians. All the other localization settings seems to be ok.

What i don't understand is why the vec-IT have not changed anything of my LO installation after set Veneto as language. The text remained all italian in the LO menus, is normal? It affect only the format cells?
Comment 8 Eike Rathke 2015-10-28 23:08:41 UTC
Yes, locale data is only for document content. For UI localization you'd need translation of the product, which is something completely different.

So, the data representation should actually be identical to it-IT as I already suspected in comment 4? Except day and month names and the like of course.. I'll change things around then.
Comment 9 Commit Notification 2015-10-29 13:39:56 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c6e6909672486b8552c6a5b051ce0fb91ba60f1f

use separators and number formats as in [it-IT], tdf#91199 follow-up

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Eike Rathke 2015-10-29 13:45:46 UTC
Pending review https://gerrit.libreoffice.org/19670 for 5-0
Comment 11 Commit Notification 2015-10-30 11:24:38 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=79e98696ae3b14d77ed7975fe2e0d63c7d777528&h=libreoffice-5-0

use separators and number formats as in [it-IT], tdf#91199 follow-up

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.